---
title: "Lost Projects"
date: 2012-01-01T17:22:31Z
teaser: /projects/pics/house_of_doom_cropped.webp
---

I lost a bunch of smaller progress made between 2011 and 2013 in a system
crash. This was about the time when I started programming in C# in Unity, so
there was barely anything playable but still a crapton of ideas. Anyways, heres
a collection of material I was able to salvage:

## Call of the Darkness

_Call of the Darkness_ was my first attempt at doing something in three
dimensions in Unity3D. I played Frictional Games' Penumbra series at the time,
so there was a lot of inspiration to make a horror game.

<img src="/projects/pics/intermission_basement.webp">

I'd just finished Anti-Smoke Man and decided that the time is ripe to switch
engines to something more professional. Due to this decision I was also forced
to learn how to actually program. Because in Game Maker you could mostly click
together your game using logic blocks.  In this project I tried to get by with
using premade scripts and controllers, which didn't really work out that well.
As far as I can remember, this was supposed to be a small demo in which you'd
have to find your way out of some basement. There were supposed to be your
typical scare effects. Upstairs was some warehouse with a small puzzle to open
its main door. A _thingy_ was supposed to attack you, if you tried to leave
then.

You can probably imagine that cobbling this together from some premade scripts
found on some forums didn't work that well (this was long before _Asset Stores_
became a thing).

## Intermission

Still a horror-type game, _Intermission_ represents the point at which I
learned a bit more about programming in Unity3D. The style is _heavily_
inspired by the two Half-Life 2 maps
[Insomnia](https://www.youtube.com/watch?v=rLwqXfpkgVY) and
[Paranoia](https://www.youtube.com/watch?v=lr2fHNfR6IQ).

<img src="/projects/pics/intermission.webp">

There were still scare effects. And - since by now I could somewhat program
stuff - it had interactive elements. There even were enemies. Because I
couldn't model for shit, they simply were walking stacks of smoke particles
making some HORRIBLE screaming sound.

<img src="/projects/pics/intermission_menu.webp">

Though the places were a bit too inconsistent. At first you were in some
derelict cityscape, followed by a series of abstract nonsensical hallways. And
then:

<img src="/projects/pics/intermission_fields.webp">

You were suddenly in this open grassy field. Looking back this effect might
even have worked really well, with the claustrophobia inducing hallways
suddenly giving way to an open space.

<img src="/projects/pics/house_of_doom.webp">

The game was supposed to end in some building standing alone in that field.
You had to find the basement key. But before you could open the basement's door
something would jump out of it, ending the game.

## F.A.S.T. 2

And then came _FAST 2_. I've not yet put up _FAST 1_ on here, even though I
still have that lying around actually.

_FAST 2_ was a top-down shooter in which you controlled a hover glider or hover
car or something. You blasted your way through enemies and did the usual
keycard collecting to get to the end of levels. Unfortunately the only relic I
found is this flythrough, which does not do the game justice, because the
levels were never meant to be seen from this perspective:

<video style="width:100%" controls>
    <source src="/projects/pics/fast2_silent.mp4" type="video/mp4">
</video>

## Cue

Keeping in line with top down game (and screenshots that do not to them
justice) there's _Cue_. Here I actually had human characters running about.
Still just doing the usual though (that is: shooting stuff). The released game
_Cybernator_ is basically what this game would have been, just slightly better
:)

<img src="/projects/pics/cue.webp">
<img src="/projects/pics/cue2.webp">
